MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0030092Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2018-08-29 11:072018-09-22 18:33
Reporteremv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.3.0 
Target Version[OCCT] 7.4.0*Fixed in Version 
Summary0030092: Modeling Algorithms - Invalid result of Section operation
DescriptionThe result of Section operation is invalid (invalid point on curve).

The problem has been discovered while working on the fix for the issue 0027928 in the test case bugs/modalg_7/bug26795.
Steps To Reproducerestore [locate_data_file bug26795_c.brep] c
explode c f

# modify c_2 face
line l 20004.7983876926 2164.22470816234 210.858020395251 -0.716336050762455 0.65536108806844 0.239508886314894
mkedge e l -0.2 0.2
settolerance e 0.04

bclearobjects
bcleartools
baddobjects c_2
baddtools e
bfillds
bsplit c_2

# perform section operation
bclearobjects
bcleartools
baddobjects e c_1
baddtools c_2
bfillds
bbop result 4
checkshape result
TagsNo tags attached.
Test case numberbugs/modalg_2/bug472_1, bugs/modalg_2/bug472_3, bugs/modalg_7/bug30092
Attached Files

- Relationships
related to 0027928verifiedbugmaster BOP common produces empty compound 
related to 0026795closedbugmaster Unable to perform General Fuse operation on the attached faces 

-  Notes
(0078826)
git (administrator)
2018-08-29 11:53

Branch CR30092 has been created by emv.

SHA-1: ad9871766c929079d04d9f8792f6322e1f098e11


Detailed log of new commits:

Author: emv
Date: Wed Aug 29 11:51:43 2018 +0300

    0030092: Modeling Algorithms - Invalid result of Section operation
    
    The following improvements have been made in Boolean operations algorithm in order to fix the problem:
    1. Initialization of the pave blocks which vertices have acquired the SD ones.
    2. Removing from Data Structure the small edges having the same vertices on both ends (either initially or acquired).
    3. Avoid adding empty SD connections when one vertex points to itself.
    
    Test case for the issue.
(0078834)
git (administrator)
2018-08-29 15:52

Branch CR30092 has been updated forcibly by emv.

SHA-1: a09ae04afa049186c3ce5b81e64d009a5facb7b3
(0078923)
git (administrator)
2018-09-03 11:47

Branch CR30092 has been updated forcibly by emv.

SHA-1: 567be03a89d2557727f0632747b7165537510379
(0078969)
emv (developer)
2018-09-04 10:09

Dear Mikhail, could you please review the git branch CR30092?

Test results - http://vm-jenkins-test-12.nnov.opencascade.com:8080/view/CR30092-master-emv/view/COMPARE/ [^]
(0079112)
msv (developer)
2018-09-11 12:23

Reviewed.
(0079113)
msv (developer)
2018-09-11 12:24

Please rebase.
(0079114)
git (administrator)
2018-09-11 12:29

Branch CR30092 has been updated forcibly by emv.

SHA-1: 938158de2ae4f1ed13fdb3651c7729a262af3917
(0079122)
emv (developer)
2018-09-11 14:47

Done.
(0079135)
bugmaster (administrator)
2018-09-11 20:19

Combination -
OCCT branch : CR30092 SHA - 938158de2ae4f1ed13fdb3651c7729a262af3917
Products branch : master SHA - 1cfd7530b31d67df5934df8f8482970efcc7aae9
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17685.67999999978 / 17645.18999999985 [+0.23%]
Products
Total CPU difference: 7441.820000000066 / 7452.260000000036 [-0.14%]
Windows-64-VC14:
OCCT
Total CPU difference: 17429.804528798573 / 17465.887560098538 [-0.21%]
Products
Total CPU difference: 8330.125797899973 / 8296.913184999985 [+0.40%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0079325)
git (administrator)
2018-09-22 18:33

Branch CR30092 has been deleted by inv.

SHA-1: 938158de2ae4f1ed13fdb3651c7729a262af3917

- Related Changesets
occt: master 241a6133
Timestamp: 2018-08-29 08:51:43
Author: emv
Committer: bugmaster
Details ] Diff ]
0030092: Modeling Algorithms - Invalid result of Section operation

The following improvements have been made in Boolean operations algorithm in order to fix the problem:
1. Initialization of the pave blocks which vertices have acquired the SD ones.
2. Removing from Data Structure the small edges having the same vertices on both ends (either initially or acquired).
3. Avoid adding empty SD connections when one vertex points to itself.

Test case for the issue.
mod - src/BOPAlgo/BOPAlgo_PaveFiller.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_PaveFiller.hxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_PaveFiller_2.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_PaveFiller_3.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_PaveFiller_6.cxx Diff ] File ]
mod - tests/bugs/modalg_2/bug472_1 Diff ] File ]
mod - tests/bugs/modalg_2/bug472_3 Diff ] File ]
add - tests/bugs/modalg_7/bug30092 Diff ] File ]

- Issue History
Date Modified Username Field Change
2018-08-29 11:07 emv New Issue
2018-08-29 11:07 emv Assigned To => msv
2018-08-29 11:07 emv Relationship added related to 0027928
2018-08-29 11:08 emv Relationship added related to 0026795
2018-08-29 11:08 emv Assigned To msv => emv
2018-08-29 11:08 emv Status new => assigned
2018-08-29 11:53 git Note Added: 0078826
2018-08-29 15:52 git Note Added: 0078834
2018-09-03 11:47 git Note Added: 0078923
2018-09-04 10:09 emv Note Added: 0078969
2018-09-04 10:09 emv Assigned To emv => msv
2018-09-04 10:09 emv Status assigned => resolved
2018-09-11 12:23 msv Note Added: 0079112
2018-09-11 12:23 msv Assigned To msv => bugmaster
2018-09-11 12:23 msv Status resolved => reviewed
2018-09-11 12:24 msv Note Added: 0079113
2018-09-11 12:24 msv Assigned To bugmaster => emv
2018-09-11 12:24 msv Status reviewed => assigned
2018-09-11 12:29 git Note Added: 0079114
2018-09-11 14:47 emv Note Added: 0079122
2018-09-11 14:47 emv Assigned To emv => msv
2018-09-11 14:47 emv Status assigned => resolved
2018-09-11 15:07 msv Assigned To msv => bugmaster
2018-09-11 15:07 msv Status resolved => reviewed
2018-09-11 20:13 bugmaster Test case number => bugs/modalg_2/bug472_1, bugs/modalg_2/bug472_3, bugs/modalg_7/bug30092
2018-09-11 20:19 bugmaster Note Added: 0079135
2018-09-11 20:19 bugmaster Status reviewed => tested
2018-09-15 17:11 bugmaster Changeset attached => occt master 241a6133
2018-09-15 17:11 bugmaster Status tested => verified
2018-09-15 17:11 bugmaster Resolution open => fixed
2018-09-22 18:33 git Note Added: 0079325


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker